mixed-port: 7897
allow-lan: false
mode: rule
log-level: info
ipv6: true
dns:
  enable: true
  ipv6: false
  respect-rules: true
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  proxy-server-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  use-hosts: true
  nameserver:
    - tls://1.1.1.1#PROXY
    - tls://1.0.0.1#PROXY
  direct-nameserver:
    - https://doh.pub/dns-query
    - https://dns.alidns.com/dns-query
  direct-nameserver-follow-policy: true
  nameserver-policy:
    geosite:cn:
      - https://doh.pub/dns-query
      - https://dns.alidns.com/dns-query
  use-system-hosts: false
  fake-ip-filter:
    - '*.lan'
    - '*.local'
    - '*.direct'
    - time.*.com
    - ntp.*.com
    - +.msftconnecttest.com
    - +.msftncsi.com
proxies:
  - name: v-fast
    type: hysteria2
    server: vvv.chaoyunphoto.com
    port: 443
    password: 31f95f878bf21451f4076d7b10467644
    sni: vvv.chaoyunphoto.com
    skip-cert-verify: false
    alpn:
      - h3
    up: 70 mbps
    down: 80 mbps
proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - v-fast
      - DIRECT
rules:
  - GEOSITE,CN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
